/*===== VARIABLES CSS =====*/
:root{
  --header-height: 3rem;
  --nav-width: 68px;

  /*===== Colors =====*/
  --first-color: #6326EA;
  --first-color-light: #AFA5D9;
  --white-color: #F7F6FB;
  --first-color-dark: #23004D;
  --first-color-lighten: #F2F2F2;
  --success-color: #28a745;

  /*===== Font and typography =====*/
  --h1-font-size: 1.5rem;
  --body-font: 'Inter', sans-serif;
  --normal-font-size: 1rem;
  --small-font-size: .813rem;

  /*===== z index =====*/
  --z-fixed: 100;
}

/*===== BASE =====*/
*,::before,::after{
  box-sizing: border-box;
}


html{
  height: 100%;
}
body{
  position: relative;
  margin: calc(9rem + var(--header-height)) 0 0 0;
  padding: 0 1rem;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  transition: .5s;
}

a{
  text-decoration: none;
  color:var(--first-color);
}
/* PROJECT CARD */
.project-card{
  background: var(--first-color);
    padding: 20px;
    border-radius: 20px;
    margin-bottom: 30px;
    color: white;
}
.project-cards{
  background: var(--first-color);
    padding: 20px;
    border-radius: 20px;
    margin-bottom: 30px;
    color: white;
    -webkit-box-shadow: 6px 6px 25px -6px rgba(0,0,0,0.77); 
box-shadow: 6px 6px 25px -6px rgba(0,0,0,0.77);
}
body#body-pd.proyecto {
  margin: calc(1rem + var(--header-height)) 0 0 0;
}
/* BUTTONS */
.add-button {
  background-color: var(--first-color);
  color: white;
  border-radius: 48px;
}
.close-button{
  background-color:#6c757d;
  color: white;
  border-radius: 48px;
}
.edit-button{
  background-color: var(--first-color);
  color: white;
  border-radius: 48px;
}
.unable-button{
  background-color:rgb(223 48 48);
  color: white;
  border-radius: 48px;
}
.able-button{
  background-color:var(--success-color);
  color: white;
  border-radius: 48px;
}
.white-button{
  background-color:white;
  color: var(--first-color);
  border-radius: 48px;
}
.play {
  background-color: var(--first-color);
  color: white;
  border-radius: 48px;
}
.stop {
  background-color: var(--first-color);
  color: white;
  border-radius: 48px;
}
.pause {
  background-color: var(--first-color);
  color: white;
  border-radius: 48px;
}

/* PAGINATION */
.page-item.active .page-link {
  z-index: 1;
  color: #fff;
  background-color: var(--first-color);
  border-color:var(--first-color);
}
.page-link {
  position: relative;
  display: block;
  padding: .5rem .75rem;
  margin-left: -1px;
  line-height: 1.25;
  color: var(--first-color);
  background-color: #fff;
  border: 1px solid #dee2e6;
}

/* MODAL */

.modal-content {
  border: inherit!important;
  border-radius: 1rem;
}
.modal-header {
  border-bottom: inherit!important;
}
.modal-footer {
  border-top:inherit!important;
}

select{
  border-color: var(--first-color);
    padding: 9px;
    border-radius: 200px;
}
input{
  border:1px solid var(--first-color)!important;

}
a:hover{
  text-decoration: none;
}

/*===== DESCRIPTION =====*/
.task-description {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  max-width: 32ch;
  transition: .5s;
}

.task-description:hover{
  white-space: unset;
  transition: .5s;
}
/*===== HEADER =====*/
.header{
  width: 100%;
  height: var(--header-height);
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 1rem;
  background-color: var(--white-color);
  z-index: var(--z-fixed);
  transition: .5s;
}

.header__toggle{
  color: var(--first-color);
  font-size: 1.5rem;
  cursor: pointer;
}

.header__img{
  width: 35px;
  height: 35px;
  display: flex;
  justify-content: center;
  border-radius: 50%;
  overflow: hidden;
}

.header__img img{
  width: 40px;
}

/*===== NAV =====*/
.l-navbar{
  position: fixed;
  top: 0;
  left: -30%;
  width: var(--nav-width);
  height: 100vh;
  background-color: var(--first-color);
  padding: .5rem 1rem 0 0;
  transition: .5s;
  z-index: var(--z-fixed);
}

.nav{
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow: hidden;
}

.nav__logo, .nav__link{
  display: grid;
  grid-template-columns: max-content max-content;
  align-items: center;
  column-gap: 1rem;
  padding: .5rem 0 .5rem 1.5rem;
}

.nav__logo{
  margin-bottom: 2rem;
}

.nav__logo-icon{
  font-size: 1.25rem;
  color: var(--white-color);
}

.nav__logo-name{
  color: var(--white-color);
  font-weight: 700;
}

.nav__link{
  position: relative;
  color: var(--first-color-light);
  margin-bottom: 1.5rem;
  transition: .3s;
}

.nav__link:hover{
  color: var(--white-color);
}

.nav__icon{
  font-size: 1.25rem;
}

/*show-n navbar movil*/
.show-n{
  left: 0;
}

/*Add padding body movil*/
.body-pd{
  padding-left: calc(var(--nav-width) + 1rem);
}

/*Active links*/
.active{
  color: var(--white-color);
}

.active::before{
  content: '';
  position: absolute;
  left: 0;
  width: 2px;
  height: 32px;
  background-color: var(--white-color);
}

/* ===== MEDIA QUERIES=====*/
@media screen and (min-width: 1040px){
  body{
    margin: calc(var(--header-height) + 1rem) 0 0 0;
    padding-left: calc(var(--nav-width) + 2rem);
    height: calc(100% - 4rem);
  }

  #contenido{
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .header{
    height: calc(var(--header-height) + 1rem);
    padding: 0 2rem 0 calc(var(--nav-width) + 2rem);
  }

  .header__img{
    width: 40px;
    height: 40px;
  }

  .header__img img{
    width: 45px;
  }

  .l-navbar{
    left: 0;
    padding: 1rem 1rem 0 0;
  }
  
  /*show-n navbar desktop*/
  .show-n{
    width: calc(var(--nav-width) + 156px);
  }

  /*Add padding body desktop*/
  .body-pd{
    padding-left: calc(var(--nav-width) + 188px);
  }
}


/*===== LOGIN =====*/
.login{
  display: grid;
  grid-template-columns: 100%;
  height: 100vh;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

.login__content{
  display: grid;
}

.login__img{
  justify-self: center;
}

.login__img img{
  width: 310px;
  margin-top: 1.5rem;
}

.login__forms{
  position: relative;
  height: 368px;
}

.login__registre, .login__create{
  position: absolute;
  bottom: 1rem;
  width: 100%;
  background-color: var(--first-color-lighten);
  padding: 2rem 1rem;
  border-radius: 1rem;
  text-align: center;
  box-shadow: 0 8px 20px rgba(35,0,77,.2);
  animation-duration: .4s;
  animation-name: animate-login;
}

@keyframes animate-login{
  0%{
    transform: scale(1,1);
  }
  50%{
    transform: scale(1.1,1.1);
  }
  100%{
    transform: scale(1,1);
  }
}

.login__title{
  font-size: var(--h1-font-size);
  margin-bottom: 2rem;
}

.login__box{
  display: grid;
  grid-template-columns: max-content 1fr;
  column-gap: .5rem;
  padding: 1.125rem 1rem;
  background-color: #FFF;
  margin-top: 1rem;
  border-radius: .5rem;
}

.login__icon{
  font-size: 1.5rem;
  color: var(--first-color);
}

.login__input{
  border: none;
  outline: none;
  font-size: var(--normal-font-size);
  font-weight: 700;
  color: var(--first-color-dark);
}

.login__input::placeholder{
  font-size: var(--normal-font-size);
  font-family: var(--body-font);
  color: var(--first-color-light);
}

.login__forgot{
  display: block;
  width: max-content;
  margin-left: auto;
  margin-top: .5rem;
  font-size: var(--small-font-size);
  font-weight: 600;
  color: var(--first-color-light);
}

.login__button{
  display: block;
  padding: 1rem;
  margin: 2rem 0;
  background-color: var(--first-color);
  color: #FFF;
  font-weight: 600;
  text-align: center;
  border-radius: .5rem;
  transition: .3s;
  width: 100%;
}

.login__button:hover{
  background-color: var(--first-color-dark);
}

.login__account, .login__signin, .login__signup{
  font-weight: 600;
  font-size: var(--small-font-size);
}

.login__account{
  color: var(--first-color-dark);
}

.login__signin, .login__signup{
  color: var(--first-color);
  cursor: pointer;
}

.login__social{
  margin-top: 2rem;
}

.login__social-icon{
  font-size: 1.5rem;
  color: var(--first-color-dark);
  margin: 0 1.5rem;
}

/*Show login*/
.block{
  display: block;
}

/*Hidden login*/
.none{
  display: none;
}

/* ===== MEDIA QUERIES =====*/
@media screen and (min-width: 576px){
  .login__forms{
    width: 348px;
    justify-self: center;
  }
}

@media screen and (min-width: 1024px){
  .login{
    height: 100vh;
    overflow: hidden;
  }

  .login__content{
    grid-template-columns: repeat(2, max-content);
    justify-content: center;
    align-items: center;
    margin-left: 10rem;
  }

  .login__img{
    display: flex;
    width: 600px;
    height: 588px;
    background-color: var(--first-color-lighten);
    border-radius: 1rem;
    padding-left: 1rem;
  }

  .login__img img{
    width: 390px;
    margin-top: 0;
  }

  .login__registre, .login__create{
    left: -11rem;
  }

  .login__registre{
    bottom: -2rem;
  }

  .login__create{
    bottom: -5.5rem;
  }
}

.play.btn-primary{
  background-color: var(--first-color);
  border-color: var(--first-color);
}
.play.btn-primary:hover{
  background-color: white;
  border-color: var(--first-color);
  color: var(--first-color);
}

.check.btn-success{
  background-color: var(--success-color);
  border-color: var(--success-color);
}

.check.btn-success:hover{
  background-color: white;
  border-color: var(--success-color);
  color: var(--success-color);
}